{% extends 'Templates/layout.html.twig' %}

{% block body %}
    <section class="mtb-50 mlr-50">
        <h1 class="text-center text-blue text-bold">Liste des Projets</h1>

        <div class="mlr-15 text-center">
            <hr class="hr-add">
            <a href="{{ path('bo_project_add') }}" class="btn btn-success btn-10"><i class="material-icons">add</i></a>
        </div>

        {% for element in projects %}
            <article class="list-element">
                <a href="{{ path('bo_project_edit', {'id': element.id}) }}" class="btn btn-primary btn-10"><i class="material-icons">edit</i></a>
                <a onclick="
                        if (confirm('Voulez-vous vraiment supprimer ce projet ?')) {
                        window.location.href='{{ url('bo_project_delete', {'id': element.id}) }}'
                        }"
                class="btn btn-danger btn-10">
                    <i class="material-icons">delete</i>
                </a>
                <span>{{ element.code }}</span>
                <div class="d-inline m-15">
                    {% if element.state == 'STATE_OPEN' %}
                        <span class="alert alert-success">Ouvert</span>
                    {% elseif element.state == 'STATE_ABORT' %}
                        <span class="alert alert-danger">Fermé</span>
                    {% elseif element.state == 'STATE_CLOSE' %}
                        <span class="alert alert-info">Clos</span>
                    {% endif %}
                </div>
            </article>
        {% endfor %}
    </section>
{% endblock %}